Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-08-03"

Query Parameters

account_id
string
required

Account whose promo codes are listed (biz_ tag).

status
enum<string>

Promo-code status. expired groups inactive and archived codes.

Available options:
active,
inactive,
archived,
expired
product_ids
string[]

Only promo codes scoped to these product IDs.

plan_ids
string[]

Only promo codes scoped to these plan IDs.

created_before
string<date-time>

Only promo codes created before this ISO 8601 timestamp.

created_after
string<date-time>

Only promo codes created after this ISO 8601 timestamp.

order
enum<string>
default:created_at

Sort field.

Available options:
created_at
direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
first
integer
default:20

Number of promo codes to return from the start of the window.

Required range: x <= 100
after
string

Cursor to paginate forwards from.

last
integer

Number of promo codes to return from the end of the window.

Required range: x <= 100
before
string

Cursor to paginate backwards from.

Response

promo codes listed

data
object[]
required
page_info
object
required